classification
Title: test_urlwithfrag fail
Type: compile error Stage: resolved
Components: Tests Versions: Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Ramchandra Apte, Ry, ezio.melotti
Priority: normal Keywords:

Created on 2013-01-15 05:51 by Ry, last changed 2013-01-18 21:09 by ezio.melotti. This issue is now closed.

Files
File name Uploaded Description Edit
test Ry, 2013-01-15 05:51 ./python -m test -v test_urlwithfrag
Messages (10)
msg180003 - (view) Author: Ry Erickson (Ry) Date: 2013-01-15 05:51
Prevents correct installation. OS: Linux Mint 12 Lisa.
msg180004 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2013-01-15 08:17
That's because there's no test file called test_urlwithfrag.py.
Do you see any failure if you do ./python -m test -v test_urllib2net?
msg180066 - (view) Author: Ry Erickson (Ry) Date: 2013-01-16 01:00
./python -m test -v test_urllib2net
== CPython 3.3.0 (default, Jan 14 2013, 20:45:36) [GCC 4.6.1]
==   Linux-3.0.0-29-generic-i686-with-debian-wheezy-sid little-endian
==   /home/ry/Desktop/Python-3.3.0/build/test_python_2080
Testing with flags: sys.flags(debug=0, inspect=0, interactive=0, optimize=0, dont_write_bytecode=0, no_user_site=0, no_site=0, ignore_environment=0, verbose=0, bytes_warning=0, quiet=0, hash_randomization=1)
[1/1] test_urllib2net
test_urllib2net skipped -- Use of the 'network' resource not enabled
1 test skipped:
    test_urllib2net
Those skips are all expected on linux.
msg180076 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2013-01-16 07:10
Sorry, the right command is: ./python -m test -v -uall test_urllib2net
msg180134 - (view) Author: Ry Erickson (Ry) Date: 2013-01-17 14:32
./python -m test -v -uall test_urllib2net

== CPython 3.3.0 (default, Jan 14 2013, 20:45:36) [GCC 4.6.1]
==   Linux-3.0.0-29-generic-i686-with-debian-wheezy-sid little-endian
==   /home/ry/Desktop/Python-3.3.0/build/test_python_2264
Testing with flags: sys.flags(debug=0, inspect=0, interactive=0, optimize=0, dont_write_bytecode=0, no_user_site=0, no_site=0, ignore_environment=0, verbose=0, bytes_warning=0, quiet=0, hash_randomization=1)
[1/1] test_urllib2net
test_sni (test.test_urllib2net.HTTPSTests) ... skipped 'requires SSL support'
test_custom_headers (test.test_urllib2net.OtherNetworkTests) ... ok
test_file (test.test_urllib2net.OtherNetworkTests) ... ok
test_ftp (test.test_urllib2net.OtherNetworkTests) ... ok
test_sites_no_connection_close (test.test_urllib2net.OtherNetworkTests) ... ok
test_urlwithfrag (test.test_urllib2net.OtherNetworkTests) ... FAIL
test_close (test.test_urllib2net.CloseSocketTest) ... ok
test_ftp_basic (test.test_urllib2net.TimeoutTest) ... ok
test_ftp_default_timeout (test.test_urllib2net.TimeoutTest) ... ok
test_ftp_no_timeout (test.test_urllib2net.TimeoutTest) ... ok
test_ftp_timeout (test.test_urllib2net.TimeoutTest) ... ok
test_http_basic (test.test_urllib2net.TimeoutTest) ... ok
test_http_default_timeout (test.test_urllib2net.TimeoutTest) ... ok
test_http_no_timeout (test.test_urllib2net.TimeoutTest) ... ok
test_http_timeout (test.test_urllib2net.TimeoutTest) ... ok

======================================================================
FAIL: test_urlwithfrag (test.test_urllib2net.OtherNetworkTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/ry/Desktop/Python-3.Lib/test/test_urllib2net.py", line 165, in test_urlwithfrag
    "http://docs.python.org/glossary.html#glossary")
AssertionError: 'http://docs.python.org/2/glossary.html' != 'http://docs.python.org/glossary.html#glossary'
- http://docs.python.org/2/glossary.html
?                        --
+ http://docs.python.org/glossary.html#glossary
?                                     +++++++++


----------------------------------------------------------------------
Ran 15 tests in 26.079s

FAILED (failures=1, skipped=1)
test test_urllib2net failed
1 test failed:
    test_urllib2net
msg180142 - (view) Author: Ramchandra Apte (Ramchandra Apte) * Date: 2013-01-17 16:53
Hmmm. Because of the recent doc changes, that link is redirecting to "http://docs.python.org/2...". Even if we change that, for some reason, the fragment is disappearing when redirecting.
msg180172 - (view) Author: Ry Erickson (Ry) Date: 2013-01-18 04:55
I don't think compile is a valid command in mint.
msg180193 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2013-01-18 14:22
This has been fixed already in 652286ee23f8, but apparently the fix is not included in 3.3.0.  I think it's safe to ignore the failure.

In the first message you said that this "prevents correct installation".  What did you mean exactly?
msg180223 - (view) Author: Ry Erickson (Ry) Date: 2013-01-18 21:08
Oops. I just realized that it works, I just had not added python3 to PATH. It installed correctly, and there was never any issue. My mistake.
msg180224 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2013-01-18 21:09
OK, I'll close the issue then.
History
Date User Action Args
2013-02-14 13:36:13ezio.melottilinkissue17160 superseder
2013-01-18 21:09:19ezio.melottisetstatus: open -> closed
resolution: fixed
messages: + msg180224

stage: resolved
2013-01-18 21:08:19Rysetmessages: + msg180223
2013-01-18 14:22:08ezio.melottisettype: behavior -> compile error
messages: + msg180193
2013-01-18 04:55:10Rysetmessages: + msg180172
2013-01-17 16:53:36Ramchandra Aptesettype: compile error -> behavior
2013-01-17 16:53:15Ramchandra Aptesetnosy: + Ramchandra Apte
messages: + msg180142
2013-01-17 14:32:05Rysetmessages: + msg180134
2013-01-16 07:10:00ezio.melottisetmessages: + msg180076
2013-01-16 01:00:48Rysetmessages: + msg180066
2013-01-15 08:17:33ezio.melottisetnosy: + ezio.melotti
messages: + msg180004
2013-01-15 05:51:57Rycreate